// file: hist_score_2.cc
//

// isip include files
//
#include "history.h"
#include "history_constants.h"

// method: incr_score_cc
//
// arguments:
//  float_4 incr: (input) the step score value to increment
//
// return: a logical_1 indicating status
//
// this method increments the score of this history
//
logical_1 History::incr_score_cc(float_4 incr_a) {

  // increment the score
  //
  score_d += incr_a;

  // also update the path scores in the list
  //
  for (int_4 i = 0; i < hist_num_d; i++) {
    prevsc_d[i] += incr_a;
  }
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
